<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    echo "<tr>";
    echo "<td><i class='fa fa-close remove' $hide_var ></i></td>";
    echo "<td><input type='text' class='form-control form text-right srno' name='srno_$ctr' value='$mctr'></td>";

    echo "<td>";
    echo "<select class='form-control form item fetchpart_$ctr' name='item_$ctr' style='width:100%'>";
    echo "<option value=''></option>";
    $gitem = mysqli_query($conn, 'SELECT `code`,`name` FROM `rawmat`  order by name') or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        echo "<option value='$item[code]'>$item[name]</option>";
    }
    echo "</select>";
    echo "<input type='hidden' class='msp' name='msp_$ctr' >";
    echo "<input type='hidden' class='otprowsucs' name='otprowsucs_$ctr' >";
    echo "<input type='hidden' class='otpvalue' id='otpvalue_$ctr' name='otpvalue_$ctr' >";
    echo "</td>";
    echo "<td>";
    echo "<select class='form-control form color select2 fetchpart_$ctr' name='color_$ctr' style='width:100%'>";
    echo "<option value=''></option>";
    $gcolor = mysqli_query($conn, 'SELECT `code`,`name` FROM `color` order by name') or die(mysqli_error($conn));
    while ($color = mysqli_fetch_array($gcolor)) {
        echo "<option value='$color[code]'>$color[name]</option>";
    }
    echo "</select>";
    echo "</td>";
    echo "<td><input type='text' class='form-control form hsncode'           name='hsncode_$ctr' value=''></td>";
    echo "<td><input type='text' class='form-control form lot' name='lot_$ctr'  value=''></td>";

    echo "<td><input type='text' class='form-control form text-right qty'    name='qty_$ctr'     value='0'>"
        . "<input type='hidden' class='form-control form text-right stqty'    name='stqty_$ctr'     value='0'></td>";
    echo "<input type='hidden' class='rawtype' name='rawtype_$ctr' value=''>";
    echo "<input type='hidden' class='cost' name='cost_$ctr' value='0'>";
    echo "<td><input type='text' class='form-control form text-right rate'  id='rate_$ctr'   name='rate_$ctr'     value='0' ></td>";
    echo "<td><input type='text' class='form-control form text-right amount'   name='amount_$ctr'   value='0' readonly></td>";
    echo "</tr >";
    $ctr++;
} else {
    echo "ERROR";
}
